%define module	astroid

%bcond_with tests

Name:		python-%{module}
Summary:	Extension of compiler.ast Python module
Version:	2.4.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Development/Python
Url:		https://pypi.python.org/pypi/astroid
Source0:	https://pypi.io/packages/source/a/%{module}/%{module}-%{?gdate}%{!?gdate:%version}.tar.gz
BuildArch:	noarch

%description
This module provides a common base representation of Python source
code for Logilab projects such as pylint. It extends class defined in
the compiler.ast module with some additional methods and attributes

%package -n	python3-%{module}
Summary:	Extension of compiler.ast Python module
BuildRequires:	python3-setuptools
# tests
%if %{with tests}
BuildRequires:	python3-tox
BuildRequires:	python3dist(lazy-object-proxy)
BuildRequires:	python3dist(six)
BuildRequires:	python3dist(wrapt)
%endif
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
This module provides a common base representation of Python source
code for Logilab projects such as pylint. It extends class defined in
the compiler.ast module with some additional methods and attributes

%prep
%setup -q -n %{module}-%{version}

# drop bundled egg-info
rm -rf *.egg-info

# Remove pinned version restrictions
# https://github.com/PyCQA/astroid/issues/800
sed -e 's/six~=[0-9.*]*/six/' \
	-e 's/wrapt~=[0-9.*]*/wrapt/' \
	-e 's/lazy_object_proxy==[0-9.*]*/lazy_object_proxy/' \
	-i astroid/__pkginfo__.py

%build
%py3_build

%install
%py3_install

rm -rf %{buildroot}%{python3_sitelib}/astroid/tests

%if %{with tests}
%check
%{_bindir}/tox --sitepackages
%endif

%files -n python3-%{module}
%doc README.rst COPYING ChangeLog
%{python3_sitelib}/astroid*


%changelog
* Tue Jul 21 2020 wally <wally> 2.4.2-1.mga8
+ Revision: 1607741
- new version 2.4.2
- loosen requires (mga#26977)

* Wed May 06 2020 wally <wally> 2.4.1-1.mga8
+ Revision: 1581317
- new version 2.4.1

* Sun Feb 16 2020 umeabot <umeabot> 2.2.5-3.git20190908.2.mga8
+ Revision: 1531022
- Mageia 8 Mass Rebuild

* Sun Sep 08 2019 wally <wally> 2.2.5-3.git20190908.1.mga8
+ Revision: 1438527
- udpate to latest git snapshot with python3.8 fixes
- drop python2 support
- clean (build)requires
- rebuild for python3.8

* Fri Apr 05 2019 shlomif <shlomif> 2.2.5-1.mga7
+ Revision: 1386128
- New version 2.2,5

* Mon Jan 07 2019 shlomif <shlomif> 2.1.0-1.mga7
+ Revision: 1350872
- Rebuild for python3 3.7

* Sat Oct 20 2018 tv <tv> 2.0.4-1.mga7
+ Revision: 1323143
- BR python3-pytest-runner
- remove BR on py2 modules
- BR python3-pytest
+ shlomif <shlomif>
- New version 2.0.4 - no py2

* Thu Sep 20 2018 umeabot <umeabot> 1.6.1-2.mga7
+ Revision: 1288246
- Mageia 7 Mass Rebuild

* Sat Jan 27 2018 shlomif <shlomif> 1.6.1-1.mga7
+ Revision: 1197428
- New version 1.6.1

* Sat Nov 04 2017 shlomif <shlomif> 1.5.3-1.mga7
+ Revision: 1175877
- New version 1.5.3

* Sat Aug 05 2017 pterjan <pterjan> 1.4.5-2.mga7
+ Revision: 1135313
- Rebuild for python 3.6

* Thu Apr 28 2016 shlomif <shlomif> 1.4.5-1.mga6
+ Revision: 1007186
- New version 1.4.5

* Thu Dec 17 2015 shlomif <shlomif> 1.4.1-1.mga6
+ Revision: 911412
- New version 1.4.1

* Thu Oct 08 2015 daviddavid <daviddavid> 1.3.8-2.mga6
+ Revision: 887358
- rebuild for python 3.5
- improve the %%check section
- use python2 macros

* Wed Sep 02 2015 shlomif <shlomif> 1.3.8-1.mga6
+ Revision: 872322
- New version 1.3.8

* Mon Oct 20 2014 grenoya <grenoya> 1.2.1-1.mga5
+ Revision: 792188
- new version 1.2.1

* Wed Oct 15 2014 umeabot <umeabot> 1.2-8.mga5
+ Revision: 747808
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2-7.mga5
+ Revision: 728067
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2-6.mga5
+ Revision: 687888
- Mageia 5 Mass Rebuild

* Tue Aug 05 2014 grenoya <grenoya> 1.2-5.mga5
+ Revision: 660019
- new version 1.2

* Sat May 31 2014 pterjan <pterjan> 1.1-5.mga5
+ Revision: 629723
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.1-4.mga5
+ Revision: 628458
- Rebuild for new Python

* Sat May 10 2014 grenoya <grenoya> 1.1-3.mga5
+ Revision: 621835
- disable tests for python2 (pass in uirt)
- disable tests for python3
- fix tests for python3
- fix python3 tests
- change tests call so it doesn't download logilab-common but use our version
- separate package name and tarball name
- add python-logilab-common as BR (needed during tests)
- new version 1.1
+ philippem <philippem>
- make tests output less verbose (remove warnings)

* Tue Oct 22 2013 umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 542938
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.0-2.mga4
+ Revision: 498120
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 02 2013 grenoya <grenoya> 1.0.0-1.mga4
+ Revision: 490414
- new version 1.0.0
- adaptation of the spec file to new name
- logilab-astng renamed in astroid

* Wed Oct 02 2013 grenoya <grenoya> 0.24.3-1.mga4
+ Revision: 490382
- new version 0.24.3
- add python3 package

* Sun Jan 13 2013 umeabot <umeabot> 0.24.1-2.mga3
+ Revision: 379053
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 grenoya <grenoya> 0.24.1-1.mga3
+ Revision: 319860
- new version 0.24.1

* Mon Aug 20 2012 grenoya <grenoya> 0.24.0-1.mga3
+ Revision: 282676
- new version 0.24.0

* Sat Oct 08 2011 grenoya <grenoya> 0.23.0-1.mga2
+ Revision: 152983
- update to new version 0.23.0

* Wed Sep 07 2011 grenoya <grenoya> 0.22.0-2.mga2
+ Revision: 140711
- increment mkrel
- remove references to python 2.5

* Wed Sep 07 2011 grenoya <grenoya> 0.22.0-1.mga2
+ Revision: 140579
-clean spec
- imported package python-logilab-astng

